Skip to content

Update Api Key

PUT
/api/v1/api-keys/{key_id}
curl --request PUT \
--url https://api.qeychain.xyz/api/v1/api-keys/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "description": "example", "permissions": [ "example" ], "rate_limit_rpm": 1, "rate_limit_rpd": 1, "allowed_addresses": [ "example" ], "expires_at": "2026-04-15T12:00:00Z", "is_active": true, "plan": "example", "monthly_call_limit": 1 }'

Update API key settings.

The key value itself cannot be changed - create a new key instead.

Requires: admin:api-keys permission

key_id
required
Key Id
string format: uuid
Media typeapplication/json
UpdateAPIKeyRequest

Request to update an API key.

object
name
Any of:
string
>= 1 characters <= 255 characters
description
Any of:
string
permissions
Any of:
Array<string>
rate_limit_rpm
Any of:
integer
>= 1 <= 10000
rate_limit_rpd
Any of:
integer
>= 1 <= 100000
allowed_addresses
Any of:
Array<string>
expires_at
Any of:
string format: date-time
is_active
Any of:
boolean
plan
Any of:
string
monthly_call_limit
Any of:
integer
>= 1
Examplegenerated
{
"name": "example",
"description": "example",
"permissions": [
"example"
],
"rate_limit_rpm": 1,
"rate_limit_rpd": 1,
"allowed_addresses": [
"example"
],
"expires_at": "2026-04-15T12:00:00Z",
"is_active": true,
"plan": "example",
"monthly_call_limit": 1
}

Successful Response

Media typeapplication/json
Response Update Api Key Api V1 Api Keys Key Id Put
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}